# q - lab of virtual machines with qemu

"q" is a script to quickly setup a lab of virtual machines to test things. 

**Installation:**

<pre>
$ git clone http://git.56k.es/fanta/q ; cd q
$ chmod +x q
# cp -pRv q /bin/q
</pre>

**Dependencies:**

- qemu-system-x86_64
- qemu-system-i386
- qemu-system-sparc
- wget


**Run first time:**

The first time we run "q" it will download the isos from a large list of different GNU+Linux distributions.
It may take a long time to download the files. Please be patient.
Note: Right now u can choice the iso to download.

<img src="imgs/first_time.png" alt="run script first time" width="100%"/>


**Example: Install and run a Rocky Linux 8.6 distro**

Install virtual machine:
<pre>
$ cd ~/vms/rocky-8.6-x86_64
$ bash install.sh
</pre>

Start virtual machine:
<pre>
$ bash start.sh
</pre>

Actual distro list:
<pre>
     1	openSUSELeap 15.4
     2	RHEL 5.11
     3	RHEL 6.10
     4	RHEL 7.9
     5	RHEL 8.6
     6	Rocky 8.5
     7	Rocky 8.6
     8	Debian 9.13.0
     9	Debian 10.12.0
    10	Debian 11.4.0
    11	RouterOS 7.3.1
    12	AlmaLinux 8.6
    13	AlmaLinux 9.0
    14	Centos 5.11
    15	Centos 6.10
    16	Centos 7.9.2009
    17	Ubuntu 20.04.4
    18	Ubuntu 22.04.1
    19	Mint 21
</pre>

Enjoy !

Kind regards.
